﻿using System;
using HeuristicLab.CommandLineInterface.Core;

namespace HeuristicLab.CommandLineInterface {
  /// <summary>
  /// The value attribute specifies a property as value for a command.
  /// </summary>
  [AttributeUsage(AttributeTargets.Property)]
  public class ValueAttribute : CLIBaseAttribute {
    /// <summary>
    /// The index of the value order. For example: a value with index=1 has to be 
    /// specified before a value with index=2, else an exception will be thrown.
    /// </summary>
    public int Index { get; set; }

    public ValueAttribute(int index) {
      Index = index;
    }

  }
}
